Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Comments

Get Comment By Id
GET /contentmodules/{moduleId}/content/{contentId}/comments/{commentId}
https://api.relesysapp.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}/comments/{commentId}
Get a content comment with ID commentId.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
commentId string / guid required
Responses
application/json
JSON
{"data":{"id":"9a9bc50e-73f8-4866-95fb-25c79da8f21a","url":null,"userId":"4469c99c-26e6-473a-a61d-2960e8a822a1","userUrl":null,"parentCommentId":"07c1d4e8-0493-40d6-bd37-7d582a6dd024","parentCommentUrl":null,"creationDateTime":"2026-11-12T13:02:14.9722265+00:00","lastModifiedDateTime":null,"medias":[{"id":"643e4133-6c0f-46db-89b9-649292e37c3a","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"6191dcd3-3d23-4c46-b47a-a18185204254","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]}}
object
  ⯈ data object      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    culture string      
    text string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string